Страница 1 из 1

Проблемы с установкой РНР 5.4.11

Добавлено: 2013-01-23 12:10:09
RuSV
Здравствуйте уважаемые.
Дано FreeBSD 8.3
Apache/2.2.22 (FreeBSD)
PHP 5.4.7

решил обновить РНР до 5.4.11.
Деинсталил 5.4.7, обновил порты, установил из них 5.4.11 ( при установке выбирал CLI & CGI)
apacheсtl -t начал материться:

Код: Выделить всё

httpd: Syntax error on line 105 of /usr/local/etc/apache22/httpd.conf: Cannot load /usr/local/libexec/apache22/libphp5.so into server: Cannot open "/usr/local/libexec/apache22/libphp5.so"
Поиск нашел libphp5.so в /usr/local/lib. Когда стоял 5.4.17, libphp5.so находился в /usr/local/libexec/apache22/ потому конфиг и не правил.
Исправил загрузку модуля на на lib/libphp5.so получил вот такую ошибку:

Код: Выделить всё

httpd: Syntax error on line 106 of /usr/local/etc/apache22/httpd.conf: Can't locate API module structure `php5_module' in file /usr/local/lib/libphp5.so: Undefined symbol "php5_module"
Как это победить, подскажите пожалуйста.

Re: Проблемы с установкой РНР 5.4.11

Добавлено: 2013-01-23 12:59:21
skeletor
1) Вы неправильно обновляетесь. Правильно - это через portupgare или portmaster
2) Положите модуль ibphp5.so туда, где лежат все модули апача, а не куда-то в другое место. Можно просто создать симлинк.

Re: Проблемы с установкой РНР 5.4.11

Добавлено: 2013-01-23 13:20:39
RuSV
Ок, сейчас обновлюсь правильно :)
Я модуль туда не ложил, он там после установки оказался, чему я удивился, но мало ли, думал так и надо.
Спасибо, skeletor.

Re: Проблемы с установкой РНР 5.4.11

Добавлено: 2014-04-08 20:43:14
saraceen
такая же шляпа как и у топикстартера: файл libphp5.so отсутствовал
переустановка php5, php5-ext ничего не давала, опции "with Apache module" теперь тупо нет

Код: Выделить всё

Cannot load /usr/local/libexec/apache22/libphp5.so into server: Cannot open "/usr/local/libexec/apache22/libphp5.so"
решение:

Код: Выделить всё

cd /usr/ports/www/mod_php5
make install clean
мод теперь там. с какого непонятно, хотя может я отстал от жизни.

Re: Проблемы с установкой РНР 5.4.11

Добавлено: 2014-04-09 13:41:27
Electronik
скорее всего сделали для совместимости с новым pkg, что бы из репов можно было ставить апач с пхп.